GraphSelectionEvent (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.event.GraphSelectionEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.event
Class GraphSelectionEvent

    java.lang.Object
      java.util.EventObject
          org.jgraph.event.GraphSelectionEvent

All Implemented Interfaces:
  Serializable

public class GraphSelectionEvent
extends EventObject

An event that characterizes a change in the current selection. The change is based on any number of cells. GraphSelectionListeners will generally query the source of the event for the new selected status of each potentially changed cell.

See Also:
  `GraphSelectionListener`, `GraphSelectionModel`, Serialized Form

Field Summary
`protected boolean[]` | `areNew` For each cell identifies whether or not that cell is newly selected.
`protected Object[]` | `cells` Cells this event represents.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GraphSelectionEvent(Object source, Object[] cells, boolean[] areNew)` Represents a change in the selection of a GraphSelectionModel.

Method Summary
`Object` | `cloneWithSource(Object newSource)` Returns a copy of the receiver, but with the source being newSource.
`Object` | `getCell()` Returns the first cell.
`Object[]` | `getCells()` Returns the cells that have been added or removed from the selection.
`boolean` | `isAddedCell()` Returns true if the first cell has been added to the selection, a return value of false means the first cell has been removed from the selection.
`boolean` | `isAddedCell(int index)` Returns true if the cell identified by `index` was added to the selection.
`boolean` | `isAddedCell(Object cell)` Returns true if the cell identified by cell was added to the selection.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cells

    protected Object[] cells

  Cells this event represents.

### areNew

    protected boolean[] areNew

  For each cell identifies whether or not that cell is newly selected.

Constructor Detail

### GraphSelectionEvent

    public GraphSelectionEvent(Object source,
                               Object[] cells,
                               boolean[] areNew)

  Represents a change in the selection of a GraphSelectionModel. `cells` identifies the cells that have been either added or removed from the selection.

Parameters:
  `source` - source of event
  `cells` - the paths that have changed in the selection
  `areNew` - for each cell, defines whether or not that cell is newly selected

Method Detail

### getCells

    public Object[] getCells()

  Returns the cells that have been added or removed from the selection.

  Returns:
    added or removed cells

### getCell

    public Object getCell()

  Returns the first cell.

  Returns:
    the first selected cell

### isAddedCell

    public boolean isAddedCell()

  Returns true if the first cell has been added to the selection, a return value of false means the first cell has been removed from the selection.

  Returns:
    whether or not the first cell has been added or removed

### isAddedCell

    public boolean isAddedCell(Object cell)

  Returns true if the cell identified by cell was added to the selection. A return value of false means the cell was in the selection but is no longer in the selection. This will raise if cell is not one of the cells identified by this event.

  Parameters:
    `cell` - the cell that is to be indicated as newly selected or not
  Returns:
    `true` if the specified cell is newly selected

### isAddedCell

    public boolean isAddedCell(int index)

  Returns true if the cell identified by `index` was added to the selection. A return value of false means the cell was in the selection but is no longer in the selection. This will raise an exception if index < 0 || >=`getPaths` .length.

  Parameters:
    `index` - the index of `areNew` of the cell that is to be indicated as newly selected or not
  Returns:
    whether or not the cell is newly selected or not

### cloneWithSource

    public Object cloneWithSource(Object newSource)

  Returns a copy of the receiver, but with the source being newSource.

  Parameters:
    `newSource` - the new event source
  Returns:
    the cloned event with the specified source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.